#include <bits/stdc++.h>

using namespace std;

int main()
{
    string dva_slova;
    cin>>dva_slova;

    int a1,a2;
    cin>>a1>>a2;

    if (a1==a2)
    {
        for (int i1=0;i1<a1;i1++)
        {
            cout<<dva_slova;
        }
    }

    else if (a1-a2==1)
    {
        char pera=dva_slova[0];
        char petra=dva_slova[1];

        for (int i=0;i<a2;i++)
        {
            cout<<pera<<petra;
        }

        cout<<pera;
    }

    else if (a2-a1==1)
    {
        char pera=dva_slova[0];
        char petra=dva_slova[1];

        for (int i=0;i<a1;i++)
        {
            cout<<petra<<pera;
        }

        cout<<petra;
    }

    else
    {
        cout<<"nemoguce";
    }
}